Here is the output of dmesg after inserting agpgart and intel-agp.
 
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Tungsten Graphics version 20040528
agpgart: Detected an Intel 915GM Chipset.
agpgart: Maximum main memory to use for agp memory: 816M
agpgart: Detected 32508K stolen memory.
agpgart: AGP aperture is 256M @ 0xd0000000
 
And when I try inserting drm.ko:
 
[]# insmod drm.ko
insmod: error inserting 'drm.ko': -1 Cannot allocate memory
 
In the kernel config, DRM is set to 'Y'.
 
Thanks again -
Craig


On 1/27/06, Alan Hourihane <alanh@fairlite.demon.co.uk> wrote:
On Fri, 2006-01-27 at 14:55 -0600, C Sylla wrote:
> I'd like to move to v6.9 of X.org so that I have full source for all
> the components (esp i810_drv & i915_dri).
>
> Unfortunately I'm required to stay at kernel 2.6.5 (FC2).
>
> Is this possible?  I tried building and installing 6.9, but it fell
> back to s/w rendering (with no real info in the log - no EE's, the
> usual WW's about bad V_BIOS checksum, etc.).
>
> The latest DRI snapshot produces an i915.ko that appears to require
> the drm.ko, which insmod won't, well, insmod.  I get an insufficient
> memory error.  I suspect it's not happy about my agpgart/intel-agp
> ko's being horribly old (12/2004 date on the agpgart).  The i915.ko I
> use now with 6.8.2 does not require drm.ko.

It'd be good to see what the actual error message is when you insmod the
drm.ko, and what dmesg says too.

Alan.